## ayatana-indicator-session 24.2.0-0+git20240223.2778+12.nightly.1

=== debian/changelog ===
ayatana-indicator-session (24.2.0-0+git20240223.2778+12.nightly.1) bookworm; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bookworm package for
    packages.arctica-project.org repository (Git commit:
    aafe9ced92eb27b59933408afdd112830cdf2db7).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Fri, 23 Feb 2024 16:03:44 +0100

ayatana-indicator-session (24.2.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 23 Feb 2024 15:54:56 +0100

ayatana-indicator-session (23.10.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 26 Dec 2023 13:19:08 +0100

ayatana-indicator-session (23.10.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 19 Nov 2023 10:30:41 +0100

ayatana-indicator-session (23.10.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 06 Nov 2023 16:50:49 +0100

ayatana-indicator-session (23.10.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 13 Oct 2023 08:07:14 +0200

ayatana-indicator-session (22.9.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 06 Jun 2023 09:08:24 +0200

ayatana-indicator-session (22.9.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 28 Feb 2023 22:41:39 +0100

ayatana-indicator-session (22.9.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 14 Sep 2022 14:30:01 +0200
