=== debian/changelog ===
ayatana-indicator-session (24.5.0-2) unstable; urgency=medium

  * debian/control:
    + Move zenity from S: to D:. It is the final fallback app that gets called
      if other desktop utilities are missing.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jan 2025 10:49:06 +0100

ayatana-indicator-session (24.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 09:09:56 +0200
