=== debian/changelog ===
ayatana-indicator-session (24.5.1-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_src-backend-dbus-actions-c-Dont-switch-to-greeter-when-locking-
      Lomiri.patch. Don't switch to greeter when locking the screen in Lomiri.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 21 Jun 2025 16:22:33 +0200

ayatana-indicator-session (24.5.1-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 01 Apr 2025 11:27:35 +0200
