=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libgtest-dev <!nocheck>,
                librda-dev,
                systemd-dev [linux-any],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git
