=== debian/tests/control ===
Test-Command: obj-*/tests/test-service
Depends: ayatana-indicator-session,
  accountsservice
Restrictions: build-needed
